Bug 187784 - devel/ncurses fails packaging with debug enabled
Summary: devel/ncurses fails packaging with debug enabled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-20 09:50 UTC by stl
Modified: 2014-04-29 14:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description stl 2014-03-20 09:50:00 UTC
When building ncurses with DEBUG enabled, it fails with the following errors:

pkg-static: lstat(/usr/ports/devel/ncurses/work/stage/usr/local/libdata/pkgconfig/form_g.pc): No such file or directory
pkg-static: lstat(/usr/ports/devel/ncurses/work/stage/usr/local/libdata/pkgconfig/menu_g.pc): No such file or directory
pkg-static: lstat(/usr/ports/devel/ncurses/work/stage/usr/local/libdata/pkgconfig/ncurses_g.pc): No such file or directory
pkg-static: lstat(/usr/ports/devel/ncurses/work/stage/usr/local/libdata/pkgconfig/panel_g.pc): No such file or directory
pkg-static: lstat(/usr/ports/devel/ncurses/work/stage/usr/local/libdata/pkgconfig/tinfo_g.pc): No such file or directory

How-To-Repeat: make package in /usr/ports/devel/ncurses with the DEBUG flag enabled
Comment 1 Edwin Groothuis freebsd_committer 2014-03-20 09:50:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Toni Ballesta 2014-04-11 09:45:03 UTC
The same problem with profile enabled, but unlike files "*_g.pc", this
is looking for "*_p.pc" that aren't found.

Removing these files from pkg-plist works ok, but this patch is the best
solution? This bug can refer to "debug" and "profile" configurations.

My configuration and my problem:

===> The following configuration options are available for
ncurses-5.9.20131221:
     DEBUG=off: Build with debugging support
     DOCS=on: Build and/or install documentation
     EXAMPLES=on: Build and/or install examples
     PROFILE=on: Build with profiling support
     TRACE=off: Add trace() function to all models of ncurses
===> Use 'make config' to modify these settings

# make

(all seems to be ok)

# make install

====> Compressing man pages (compress-man)
===>  Installing for ncurses-5.9.20131221
===>  Checking if devel/ncurses already installed
===>   Registering installation for ncurses-5.9.20131221
pkg-static:
lstat(/usr/ports/devel/ncurses/work/stage/usr/local/libdata/pkgconfig/form_p.pc):
No such file or directory
pkg-static:
lstat(/usr/ports/devel/ncurses/work/stage/usr/local/libdata/pkgconfig/menu_p.pc):
No such file or directory
pkg-static:
lstat(/usr/ports/devel/ncurses/work/stage/usr/local/libdata/pkgconfig/ncurses_p.pc):
No such file or directory
pkg-static:
lstat(/usr/ports/devel/ncurses/work/stage/usr/local/libdata/pkgconfig/panel_p.pc):
No such file or directory
pkg-static:
lstat(/usr/ports/devel/ncurses/work/stage/usr/local/libdata/pkgconfig/tinfo_p.pc):
No such file or directory
Comment 3 dfilter service freebsd_committer 2014-04-29 14:37:12 UTC
Author: bapt
Date: Tue Apr 29 13:37:07 2014
New Revision: 352625
URL: http://svnweb.freebsd.org/changeset/ports/352625
QAT: https://qat.redports.org/buildarchive/r352625/

Log:
  Update to 5.9-20140426
  
  While here fix packaging with DEBUG and/or PROFILE activated [1]
  Strip binaries
  
  PR:		ports/187784 [1]
  Reported by:	Steven Lawrance <stl@koffein.net> [1]

Modified:
  head/devel/ncurses/Makefile
  head/devel/ncurses/distinfo
  head/devel/ncurses/pkg-plist

Modified: head/devel/ncurses/Makefile
==============================================================================
--- head/devel/ncurses/Makefile	Tue Apr 29 13:35:32 2014	(r352624)
+++ head/devel/ncurses/Makefile	Tue Apr 29 13:37:07 2014	(r352625)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	ncurses
-DISTVERSION=	${RELEASE}-20131221
+DISTVERSION=	${RELEASE}-20140426
 CATEGORIES=	devel
 MASTER_SITES=	ftp://invisible-island.net/${PORTNAME}/current/
 MASTER_SITE_SUBDIR=	${PORTNAME}/current
@@ -127,5 +127,6 @@ post-install:
 		${STAGEDIR}${PREFIX}/lib/libncursesw.so
 	${ECHO} "INPUT(libncurses.so.${RELEASE:R} AS_NEEDED(-ltinfo))" > ${STAGEDIR}${PREFIX}/lib/libncurses.so
 	${ECHO} "INPUT(libncursesw.so.${RELEASE:R} AS_NEEDED(-ltinfow))" > ${STAGEDIR}${PREFIX}/lib/libncursesw.so
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/*.so.5.9
 
 .include <bsd.port.mk>

Modified: head/devel/ncurses/distinfo
==============================================================================
--- head/devel/ncurses/distinfo	Tue Apr 29 13:35:32 2014	(r352624)
+++ head/devel/ncurses/distinfo	Tue Apr 29 13:37:07 2014	(r352625)
@@ -1,2 +1,2 @@
-SHA256 (ncurses/ncurses-5.9-20131221.tgz) = 01e7871e4813866eef26831e87e923eb9f975fb73bd6fc9e92803ab8b84e7940
-SIZE (ncurses/ncurses-5.9-20131221.tgz) = 2952940
+SHA256 (ncurses/ncurses-5.9-20140426.tgz) = 832e41b5ecd67fb248f6c215fbd28b8ba6ac131ec7bde94d5eb6ee9911d859c2
+SIZE (ncurses/ncurses-5.9-20140426.tgz) = 2962323

Modified: head/devel/ncurses/pkg-plist
==============================================================================
--- head/devel/ncurses/pkg-plist	Tue Apr 29 13:35:32 2014	(r352624)
+++ head/devel/ncurses/pkg-plist	Tue Apr 29 13:37:07 2014	(r352625)
@@ -42,6 +42,8 @@ lib/libmenu.so.%%REL_VER%%
 %%DEBUG%%lib/libmenu_g.a
 %%PROFILE%%lib/libmenu_p.a
 lib/libncurses++.a
+%%DEBUG%%lib/libncurses++_g.a
+%%PROFILE%%lib/libncurses++_p.a
 lib/libncurses.a
 lib/libncurses.so
 lib/libncurses.so.%%ABI_VER%%
@@ -73,6 +75,8 @@ lib/libmenuw.so.%%REL_VER%%
 %%DEBUG%%lib/libmenuw_g.a
 %%PROFILE%%lib/libmenuw_p.a
 lib/libncurses++w.a
+%%DEBUG%%lib/libncurses++w_g.a
+%%PROFILE%%lib/libncurses++w_p.a
 lib/libncursesw.a
 lib/libncursesw.so
 lib/libncursesw.so.%%ABI_VER%%
@@ -92,26 +96,16 @@ lib/libtinfow.so.%%REL_VER%%
 %%DEBUG%%lib/libtinfow_g.a
 %%PROFILE%%lib/libtinfow_p.a
 libdata/pkgconfig/form.pc
-%%DEBUG%%libdata/pkgconfig/form_g.pc
-%%PROFILE%%libdata/pkgconfig/form_p.pc
 libdata/pkgconfig/formw.pc
 libdata/pkgconfig/menu.pc
-%%DEBUG%%libdata/pkgconfig/menu_g.pc
-%%PROFILE%%libdata/pkgconfig/menu_p.pc
 libdata/pkgconfig/menuw.pc
 libdata/pkgconfig/ncurses++.pc
 libdata/pkgconfig/ncurses++w.pc
 libdata/pkgconfig/ncurses.pc
-%%DEBUG%%libdata/pkgconfig/ncurses_g.pc
-%%PROFILE%%libdata/pkgconfig/ncurses_p.pc
 libdata/pkgconfig/ncursesw.pc
 libdata/pkgconfig/panel.pc
-%%DEBUG%%libdata/pkgconfig/panel_g.pc
-%%PROFILE%%libdata/pkgconfig/panel_p.pc
 libdata/pkgconfig/panelw.pc
 libdata/pkgconfig/tinfo.pc
-%%DEBUG%%libdata/pkgconfig/tinfo_g.pc
-%%PROFILE%%libdata/pkgconfig/tinfo_p.pc
 libdata/pkgconfig/tinfow.pc
 man/man1/captoinfo.1m.gz
 man/man1/clear.1.gz
@@ -930,6 +924,7 @@ man/man3/wget_wch.3x.gz
 man/man3/wget_wstr.3x.gz
 man/man3/wgetbkgrnd.3x.gz
 man/man3/wgetch.3x.gz
+man/man3/wgetdelay.3x.gz
 man/man3/wgetn_wstr.3x.gz
 man/man3/wgetnstr.3x.gz
 man/man3/wgetparent.3x.gz
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Baptiste Daroussin freebsd_committer 2014-04-29 14:38:10 UTC
State Changed
From-To: open->closed

Fixed, Thanks for reporting!